Package uk.ac.starlink.vo

# Class AbstractAdqlExample.Breaker

java.lang.Object
uk.ac.starlink.vo.AbstractAdqlExample.Breaker

Enclosing class:
  AbstractAdqlExample

public abstract static class AbstractAdqlExample.Breaker extends Object
Interface for configurable line breaking.

## Constructor Summary

Constructors
Constructor
Description
`Breaker()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`space(int indent)`
Returns a string which can be used to separate parts of an output example string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Breaker

public Breaker()

## Method Details

### space

public abstract String space(int indent)
Returns a string which can be used to separate parts of an output example string.

Parameters:
  `indent` - notional number of spaces at start of line
Returns:
  string containing at least one whitespace character